package com.example.tdl.service;


import com.example.tdl.domain.vo.*;
import com.example.tdl.mapper.AlarmMapper;
import com.example.tdl.mapper.CarMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;


@Service
public class CarService {
    @Autowired
    private CarMapper carMapper;

    public List<ResultCarVo> getAll(String companyName){
        return carMapper.getAll(companyName);
    }

    public ResultCarVo getByCarNo(String companyName,String carNo){
        return carMapper.getByCarNo(companyName,carNo);
    }

    public List<ResultCarVo> getByCarNoForLike(String companyName,String carNo){
        return carMapper.getByCarNoForLike(companyName,carNo);
    }

    public int addCar(ResultCarVo resultCarVo){
        return carMapper.addCar(resultCarVo);
    }

    public int updateCar(UpdateCarVo updateCarVo){
        return carMapper.updateCar(updateCarVo);
    }

    public int delCar(String carNo){
        return carMapper.delCar(carNo);
    }


}
