package com.example.tdl.mapper;


import com.example.tdl.domain.vo.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CarMapper {
    List<ResultCarVo> getAll(String companyName);

    ResultCarVo getByCarNo(@Param("companyName") String companyName, @Param("carNo") String carNo);

    List<ResultCarVo> getByCarNoForLike(@Param("companyName") String companyName, @Param("carNo") String carNo);

    int addCar(ResultCarVo resultCarVo);

    int updateCar(UpdateCarVo updateAlarmVo);

    int delCar(String carNo);

}
