package com.example.tdl.mapper;

import com.example.tdl.domain.vo.DelAlarmVo;
import com.example.tdl.domain.vo.ResultAlarmVo;
import com.example.tdl.domain.vo.ResultGatewayVo;
import com.example.tdl.domain.vo.TDLLogVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TDLLogMapper {

    ResultGatewayVo getByNo(String transportationNo);

    TDLLogVo getByTransportationNo(String transportationNo);

    List<String> getTdlSN(String transportationNo);

    String getSN(String transportationNo);

    List<String> getByAlarm(DelAlarmVo delAlarmVo);

    ResultAlarmVo getByTdl(@Param("transportationNo") String transportationNo, @Param("TDLSN") String TDLSN);

}
